TechDraw Dimensione verticale

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page TechDraw Dimension Vertical and the translation is 100% complete.

Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Techdraw Dimension Horizontal.png Dimensione orizzontale Pagina precedente:
Pagina successiva: Raggio Techdraw Dimension Radius.png Arrow-right.svg

TechDraw Dimension Vertical.svg Dimensione verticale

Posizione nel menu
TechDraw → Dimensione verticale
Ambiente
TechDraw
Avvio veloce
Introdotto nella versione
-
Vedere anche
Lunghezza, Orizzontale


Descrizione

Lo strumento Dimensione verticale aggiunge una dimensione verticale ad una Vista. La dimensione può essere la distanza tra due vertici, la lunghezza di uno spigolo o la distanza verticale tra 2 spigoli. La distanza indicata all'inizio è la distanza proiettata (vale a dire, come mostrata nel disegno), ma utilizzando lo strumento TechDraw Dimension Link.svg Link alla dimensione essa può essere modificata con la distanza 3D effettiva.

TechDraw Dimension Vertical example.png

Dimensione della lunghezza presa da due nodi arbitrari della vista; la distanza è misurata verticalmente


Uso

  1. Selezionare i punti o i bordi che definiscono la misura.
  2. Premere il pulsante Techdraw Dimension Vertical.png Dimensione verticale
  3. Viene aggiunta una dimensione alla vista. La dimensione può essere trascinata nella posizione desiderata.

Limitazioni

Gli oggetti dimensione sono vulnerabili ai problemi di "denominazione topologica". Per maggiori informazioni vedere le informazioni nello strumento Lunghezza.

Proprietà

Questo oggetto ha le stesse proprietà dello strumento Lunghezza

Script

Vedere anche: TechDraw API e Nozioni di base sugli script di FreeCAD.

Lo strumento Dimension Vertical può essere utilizzato nelle macro e dalla console di Python tramite la seguente funzione:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "DistanceX"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)


Arrow-left.svg Techdraw Dimension Horizontal.png Dimensione orizzontale Pagina precedente:
Pagina successiva: Raggio Techdraw Dimension Radius.png Arrow-right.svg